利用SketchUp Ruby控制台绘制五角星

SketchUp二次开发语言Ruby类由上至下分为APP,Model,Entities三大类,其中APP指的是Sketchup应用程序本身,Mode类指的是Sketchup模型文件,Entities类指各种实体,比如直线,圆弧等。向当前模型中添加实体的一般方法是先定义一个模型,ents=Sketchup.active_model.entities,取得当前模型的引用,然后利用entities的add方法添加各种实体。下列语句以原点位中心,在xoy平面上绘制一个五角星形图案。

操作步骤:

 

第一步:打开”SketchUp”软件再并单击”窗口” 找到”Ruby控制台”将弹出如下图所示窗口:

Ruby_F1

 

第二步:将下面的代码复制粘贴进去然后回车,如下图:

ents=Sketchup.active_model.entities
pt1=[0,1,0] pt2=[0.588,-0.809,0] pt3=[-0.951,0.309,0] pt4=[0.951,0.309,0] pt5=[-0.588,-0.809,0] ents.add_line pt1,pt2
ents.add_line pt2,pt3
ents.add_line pt3,pt4
ents.add_line pt4,pt5
ents.add_line pt5,pt1

Ruby_F2

 

第三步:执行完以上两步就已经完成了,关闭Ruby控制台,单击”充满视窗”将得如下图所示:

Ruby_F3

 

下载代码:

 

本文隐藏内容 登陆 后才可以浏览

0
56do_bolg

评论0

请先


没有账号? 忘记密码?